angular-fullstack - angular-fullstack-deps 5.0.0-rc.4 devDependencies status

The purpose of this repository is to track all the possible dependencies of an application created by generator-angular-fullstack.

  • 131 Dependencies total
  • 65 Up to date
  • 1 Pinned, out of date
  • 65 Out of date
DependencyChangesRequiredStableLatestStatus
@angular/common
    ^6.0.48.2.149.0.0-rc.9
    @angular/compiler
      ^6.0.48.2.149.0.0-rc.9
      @angular/core
        ^6.0.48.2.149.0.0-rc.9
        @angular/forms
          ^6.0.48.2.149.0.0-rc.9
          @angular/platform-browser
            ^6.0.48.2.149.0.0-rc.9
            @angular/platform-browser-dynamic
              ^6.0.48.2.149.0.0-rc.9
              @angular/router
                ^6.0.48.2.149.0.0-rc.9
                @angularclass/hmr
                  ^2.1.32.1.32.1.3
                  @angularclass/hmr-loader
                    ^3.0.43.0.43.0.4
                    @auth0/angular-jwt
                      ^2.0.03.0.13.0.1
                      @types/chai
                        ^4.0.44.2.74.2.7
                        @types/core-js
                          ^2.5.02.5.22.5.2
                          @types/jasmine
                            ^2.5.473.5.03.5.0
                            @types/lodash
                              ^4.14.634.14.1494.14.149
                              @types/mocha
                                ^2.2.415.2.75.2.7
                                @types/node
                                  ^8.0.2613.1.713.1.7
                                  @types/selenium-webdriver
                                    ^3.0.34.0.64.0.6
                                    @types/sinon
                                      ^2.1.37.5.17.5.1
                                      @types/sinon-chai
                                        ^2.7.273.2.32.7.36
                                        @types/webpack
                                          ^3.0.104.41.24.41.2
                                          angular-validation-match
                                            ^1.9.01.9.01.9.0
                                            autoprefixer
                                              ^8.6.09.7.49.7.4
                                              awesome-typescript-loader
                                                ^5.0.05.2.15.2.1
                                                babel-eslint
                                                  ^8.2.310.0.311.0.0-beta.2
                                                  babel-loader
                                                    ^7.1.28.0.68.0.6
                                                    babel-plugin-istanbul
                                                      ^4.1.46.0.06.0.0
                                                      babel-plugin-syntax-flow
                                                        ^6.8.06.18.07.0.0-beta.3
                                                        babel-plugin-transform-class-properties
                                                          ^6.6.06.24.17.0.0-beta.3
                                                          babel-plugin-transform-flow-comments
                                                            ^6.8.06.22.07.0.0-beta.3
                                                            babel-preset-env
                                                              ^1.6.11.7.07.0.0-beta.3
                                                              babel-register
                                                                ^6.16.06.26.07.0.0-beta.3
                                                                bootstrap
                                                                  ~3.3.74.4.14.4.1
                                                                  bootstrap-sass
                                                                    ~3.3.73.4.13.4.1
                                                                    bootstrap-social
                                                                      ^5.1.15.1.15.1.1
                                                                      bootstrap-styl
                                                                        ^5.0.85.0.95.0.9
                                                                        bs-fullscreen-message
                                                                          ^1.0.01.1.01.1.0
                                                                          chai
                                                                            ^4.1.24.2.04.2.0
                                                                            chai-as-promised
                                                                              ^7.1.17.1.17.1.1
                                                                              chai-things
                                                                                ^0.2.00.2.00.2.0
                                                                                compression-webpack-plugin
                                                                                  ^1.1.113.1.03.1.0
                                                                                  cors
                                                                                    ^2.8.42.8.52.8.5
                                                                                    cross-env
                                                                                      ^5.1.16.0.36.0.3
                                                                                      css-loader
                                                                                        ^0.28.73.4.23.4.2
                                                                                        del
                                                                                          ^3.0.05.1.05.1.0
                                                                                          eslint
                                                                                            ^5.2.06.8.06.8.0
                                                                                            extract-text-webpack-plugin
                                                                                              4.0.0-beta.03.0.24.0.0-beta.0
                                                                                              file-loader
                                                                                                ^0.11.25.0.25.0.2
                                                                                                flow-bin
                                                                                                  ^0.54.00.116.10.116.1
                                                                                                  font-awesome
                                                                                                    >=4.1.04.7.04.7.0
                                                                                                    font-awesome-stylus
                                                                                                      ^4.6.24.7.14.7.1
                                                                                                      grunt
                                                                                                        ^1.0.11.0.41.0.4
                                                                                                        grunt-build-control
                                                                                                          ^0.7.00.7.10.7.1
                                                                                                          gulp
                                                                                                            ^3.9.14.0.24.0.2
                                                                                                            gulp-babel
                                                                                                              ^7.0.08.0.08.0.0
                                                                                                              gulp-env
                                                                                                                ^0.4.00.4.00.4.0
                                                                                                                gulp-eslint
                                                                                                                  ^5.0.06.0.06.0.0
                                                                                                                  gulp-imagemin
                                                                                                                    ^4.1.07.0.07.0.0
                                                                                                                    gulp-inject
                                                                                                                      ^4.0.05.0.55.0.5
                                                                                                                      gulp-istanbul
                                                                                                                        ^1.1.11.1.31.1.3
                                                                                                                        gulp-istanbul-enforcer
                                                                                                                          ^1.0.31.0.31.0.3
                                                                                                                          gulp-load-plugins
                                                                                                                            ^1.0.0-rc.12.0.22.0.2
                                                                                                                            gulp-mocha
                                                                                                                              ^6.0.07.0.27.0.2
                                                                                                                              gulp-plumber
                                                                                                                                ^1.0.11.2.11.2.1
                                                                                                                                gulp-protractor
                                                                                                                                  ^4.1.04.1.14.1.1
                                                                                                                                  gulp-rev
                                                                                                                                    ^8.0.09.0.09.0.0
                                                                                                                                    gulp-rev-replace
                                                                                                                                      ^0.4.20.4.40.4.4
                                                                                                                                      gulp-sort
                                                                                                                                        ^2.0.02.0.02.0.0
                                                                                                                                        gulp-sourcemaps
                                                                                                                                          ^2.6.12.6.52.6.5
                                                                                                                                          gulp-stylint
                                                                                                                                            ^4.0.04.0.24.0.2
                                                                                                                                            gulp-tslint
                                                                                                                                              ^8.0.08.1.48.1.4
                                                                                                                                              gulp-typescript
                                                                                                                                                ~3.2.25.0.16.0.0-alpha.1
                                                                                                                                                gulp-util
                                                                                                                                                  ^3.0.53.0.83.0.8
                                                                                                                                                  gulp-watch
                                                                                                                                                    ^4.3.55.0.15.0.1
                                                                                                                                                    html-webpack-harddisk-plugin
                                                                                                                                                      ~0.2.01.0.11.0.1
                                                                                                                                                      html-webpack-plugin
                                                                                                                                                        ^3.2.03.2.04.0.0-beta.11
                                                                                                                                                        imports-loader
                                                                                                                                                          ^0.7.10.8.00.8.0
                                                                                                                                                          isparta
                                                                                                                                                            ^4.1.04.1.14.1.1
                                                                                                                                                            istanbul
                                                                                                                                                              1.1.0-alpha.10.4.51.1.0-alpha.1
                                                                                                                                                              istanbul-instrumenter-loader
                                                                                                                                                                ^3.0.03.0.13.0.1
                                                                                                                                                                jasmine-core
                                                                                                                                                                  ^2.3.43.5.03.5.0
                                                                                                                                                                  jasmine-spec-reporter
                                                                                                                                                                    ^4.2.14.2.14.2.1
                                                                                                                                                                    karma
                                                                                                                                                                      ^2.0.44.4.14.4.1
                                                                                                                                                                      karma-chai-plugins
                                                                                                                                                                        ~0.9.00.9.00.9.0
                                                                                                                                                                        karma-chrome-launcher
                                                                                                                                                                          ^2.0.03.1.03.1.0
                                                                                                                                                                          karma-coverage
                                                                                                                                                                            ^1.0.02.0.12.0.1
                                                                                                                                                                            karma-firefox-launcher
                                                                                                                                                                              ^1.0.01.3.01.3.0
                                                                                                                                                                              karma-jasmine
                                                                                                                                                                                ^1.0.23.1.03.1.0
                                                                                                                                                                                karma-mocha
                                                                                                                                                                                  ^1.0.11.3.01.3.0
                                                                                                                                                                                  karma-phantomjs-launcher
                                                                                                                                                                                    ~1.0.01.0.41.0.4
                                                                                                                                                                                    karma-script-launcher
                                                                                                                                                                                      ^1.0.01.0.01.0.0
                                                                                                                                                                                      karma-sourcemap-loader
                                                                                                                                                                                        ~0.3.70.3.70.3.7
                                                                                                                                                                                        karma-spec-reporter
                                                                                                                                                                                          ~0.0.200.0.320.0.32
                                                                                                                                                                                          karma-webpack
                                                                                                                                                                                            4.0.0-beta.04.0.25.0.0-alpha.3.0
                                                                                                                                                                                            lazypipe
                                                                                                                                                                                              ^1.0.11.0.21.0.2
                                                                                                                                                                                              less
                                                                                                                                                                                                ^2.7.13.10.33.10.3
                                                                                                                                                                                                less-loader
                                                                                                                                                                                                  ^4.0.55.0.05.0.0
                                                                                                                                                                                                  mini-css-extract-plugin
                                                                                                                                                                                                    ~0.4.00.9.00.9.0
                                                                                                                                                                                                    mocha
                                                                                                                                                                                                      ^5.2.07.0.07.0.0-esm1
                                                                                                                                                                                                      ngx-bootstrap
                                                                                                                                                                                                        ^3.0.05.3.25.4.0
                                                                                                                                                                                                        node-sass
                                                                                                                                                                                                          ^4.9.24.13.14.13.1
                                                                                                                                                                                                          nodemon
                                                                                                                                                                                                            ^1.18.12.0.22.0.2
                                                                                                                                                                                                            null-loader
                                                                                                                                                                                                              ^0.1.13.0.03.0.0
                                                                                                                                                                                                              opn
                                                                                                                                                                                                                ^5.3.06.0.06.0.0
                                                                                                                                                                                                                optimize-css-assets-webpack-plugin
                                                                                                                                                                                                                  ^4.0.25.0.35.0.3
                                                                                                                                                                                                                  phantomjs-prebuilt
                                                                                                                                                                                                                    ^2.1.42.1.162.1.16
                                                                                                                                                                                                                    postcss-loader
                                                                                                                                                                                                                      ^2.0.63.0.03.0.0
                                                                                                                                                                                                                      protractor
                                                                                                                                                                                                                        ^5.3.05.4.26.0.0
                                                                                                                                                                                                                        proxyquire
                                                                                                                                                                                                                          ^2.0.12.1.32.1.3
                                                                                                                                                                                                                          pug-html-loader
                                                                                                                                                                                                                            ^1.1.51.1.51.1.5
                                                                                                                                                                                                                            raw-loader
                                                                                                                                                                                                                              ^0.5.14.0.04.0.0
                                                                                                                                                                                                                              reflect-metadata
                                                                                                                                                                                                                                ^0.1.30.1.130.1.13
                                                                                                                                                                                                                                run-sequence
                                                                                                                                                                                                                                  ^2.1.02.2.12.2.1
                                                                                                                                                                                                                                  rxjs
                                                                                                                                                                                                                                    ^6.0.06.5.47.0.0-alpha.1
                                                                                                                                                                                                                                    sass-loader
                                                                                                                                                                                                                                      ^7.0.38.0.28.0.2
                                                                                                                                                                                                                                      sinon
                                                                                                                                                                                                                                        ^6.1.48.1.08.1.0
                                                                                                                                                                                                                                        sinon-chai
                                                                                                                                                                                                                                          ^3.2.03.4.03.4.0
                                                                                                                                                                                                                                          strip-ansi
                                                                                                                                                                                                                                            ^4.0.06.0.06.0.0
                                                                                                                                                                                                                                            style-loader
                                                                                                                                                                                                                                              ^0.18.21.1.21.1.2
                                                                                                                                                                                                                                              stylus
                                                                                                                                                                                                                                                ^0.54.50.54.70.54.7
                                                                                                                                                                                                                                                stylus-loader
                                                                                                                                                                                                                                                  ^3.0.13.0.23.0.2
                                                                                                                                                                                                                                                  supertest
                                                                                                                                                                                                                                                    ^3.0.04.0.25.0.0-0
                                                                                                                                                                                                                                                    through2
                                                                                                                                                                                                                                                      ^2.0.13.0.13.0.1
                                                                                                                                                                                                                                                      to-string-loader
                                                                                                                                                                                                                                                        ^1.1.51.1.61.1.6
                                                                                                                                                                                                                                                        tslint
                                                                                                                                                                                                                                                          ^5.7.05.20.16.0.0-beta1
                                                                                                                                                                                                                                                          typescript
                                                                                                                                                                                                                                                            ~2.9.03.7.53.8.0-dev.20200117
                                                                                                                                                                                                                                                            uglifyjs-webpack-plugin
                                                                                                                                                                                                                                                              ^1.2.52.2.02.2.0
                                                                                                                                                                                                                                                              ui-router-ng2
                                                                                                                                                                                                                                                                ^1.0.0-beta.31.0.0-beta.5
                                                                                                                                                                                                                                                                webpack
                                                                                                                                                                                                                                                                  ^4.16.24.41.55.0.0-beta.12
                                                                                                                                                                                                                                                                  webpack-cli
                                                                                                                                                                                                                                                                    ^3.1.03.3.104.0.0-beta.1
                                                                                                                                                                                                                                                                    webpack-dev-server
                                                                                                                                                                                                                                                                      ^3.1.53.10.13.10.1
                                                                                                                                                                                                                                                                      zone.js
                                                                                                                                                                                                                                                                        ^0.8.120.10.20.10.2
                                                                                                                                                                                                                                                                        • 131 Dependencies total
                                                                                                                                                                                                                                                                        • 65 Up to date
                                                                                                                                                                                                                                                                        • 1 Pinned, out of date
                                                                                                                                                                                                                                                                        • 65 Out of date